%define         srcname         qTox

Name:           qtox
Version:        1.18.3
Release:        %mkrel 2
Summary:        A powerful Tox client that follows the Tox design guidelines
License:        GPLv3
Group:          Networking/Instant messaging

URL:            https://qtox.github.io
Source0:        https://github.com/TokTok/qTox/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libtoxcore)
BuildRequires:  pkgconfig(openal)
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libqrencode)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)


%description
QTox is a Qt client for the Tox communication protocol. It follows the
Tox design guidelines while running on all major platforms and
supports many features such as: one to one chat with friends, group
chats, file transfers, audio calls and video calls.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%cmake -DUPDATE_CHECK:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/qtox
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/io.github.qtox.qTox.desktop
%{_metainfodir}/io.github.qtox.qTox.appdata.xml


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 1.18.3-2.mga10
+ Revision: 2152283
- disable automatic update check

* Tue Feb 25 2025 daviddavid <daviddavid> 1.18.3-1.mga10
+ Revision: 2152257
- new version: 1.18.3
- switch to Qt6

* Sun Dec 08 2024 daviddavid <daviddavid> 1.17.6-4.mga10
+ Revision: 2122814
- add fedora patch to fix compatibility with ffmpeg 7.x
- rebuild for new ffmpeg 7.1

* Sun May 05 2024 eatdirt <eatdirt> 1.17.6-3.mga10
+ Revision: 2062304
- Rebuild for new toxcore

* Tue Oct 11 2022 ghibo <ghibo> 1.17.6-2.mga9
+ Revision: 1896293
- Rebuild against libvpx 1.12.0 (changed major from 6 to 7)

* Thu Apr 07 2022 luigiwalser <luigiwalser> 1.17.6-1.mga9
+ Revision: 1846843
- 1.17.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Thu Dec 17 2020 umeabot <umeabot> 1.17.3-2.mga8
+ Revision: 1659636
- Rebuild for new Qt5

* Sun Dec 13 2020 eatdirt <eatdirt> 1.17.3-1.mga8
+ Revision: 1656074
- Upgrade to version 1.17.3

* Sat Jul 11 2020 eatdirt <eatdirt> 1.17.2-2.mga8
+ Revision: 1605131
- Rebuild for new toxcore

* Mon May 25 2020 daviddavid <daviddavid> 1.17.2-1.mga8
+ Revision: 1587502
- new version: 1.17.2

* Sat Feb 15 2020 umeabot <umeabot> 1.16.3-4.mga8
+ Revision: 1525017
- Mageia 8 Mass Rebuild
+ wally <wally>
- build using new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.16.3-3.mga7
+ Revision: 1384466
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.16.3-2.mga7
+ Revision: 1300715
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 eatdirt <eatdirt> 1.16.3-1.mga7
+ Revision: 1245990
- Upgrade to version 1.16.3

* Sun Apr 29 2018 daviddavid <daviddavid> 1.15.0-1.mga7
+ Revision: 1223410
- new version: 1.15.0
- split out all Qt5 BRs

* Wed Mar 14 2018 eatdirt <eatdirt> 1.14.0-1.mga7
+ Revision: 1209365
- Update to version 1.14.0

* Tue Nov 28 2017 eatdirt <eatdirt> 1.13.0-1.mga7
+ Revision: 1180133
- Upgrade to version 1.13.0

* Tue Nov 14 2017 eatdirt <eatdirt> 1.12.1-2.mga7
+ Revision: 1177328
- Fix overflow warning on non x86_64 archs
- imported package qtox

